-- INTRO FRAME
function Show_Intro_Frame()

	if GoHv5_DeathKnight_Data.config.ToC_Version == nil then
		GoHv5_DeathKnight_Data.config.ToC_Version = "BLANK";
	end
	if GoHv5_DeathKnight_Data.config.ToC_Version ~= (GetAddOnMetadata("GoH_DeathKnight", "Version")) then

		UIFrameFlash(GoH_IntroFrame, 1, 2, 10, false, 5, 4)
		GoHv5_DeathKnight_Data.config.ToC_Version = GetAddOnMetadata("GoH_DeathKnight", "Version");

	end
end


-- TOASTY FRAME
function Show_Toasty_Frame()
	UIFrameFlash(GoH_ToastyFrame, 1, 2, 3, false, 0, 3)
	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Toasty.mp3","Master");
end
-- RANDOM TOASTY FUNCTION CALL
function Call_RANDOM_Toasty_Frame()

		-- CALL RANDOM MATH GENERATOR
		GoH_DeathKnight.NumberRandom = math.random(100);

		-- USE RANDOM MATH GENERATED RESULT

		if (GoH_DeathKnight.NumberRandom == 1) then

			-- ONE OUT OF A HUNDRED CHANCE TO ACTUALLY SHOW THE TOASTY DEVELOPER GRAPHIC FROM MORTAL KOMBAT
			-- JUST ADDS A BIT OF SPICE, THINK OF IT AS AN EASTER EGG.
			Show_Toasty_Frame();

		elseif (GoH_DeathKnight.NumberRandom ~= 1) then
			-- DO NOTHING
			-- RETURN TO WHAT EVER CALLED YOU HERE.
		end

end


-- FIGHT FRAME
function Show_Fight_Frame()
	UIFrameFlash(GoH_FightFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FightFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FightFrame3, 1, 2, 3, false, 0, 4)
end


-- FINISH HIM FRAME
function Show_Finish_Him_Frame()
	UIFrameFlash(GoH_FinishHimFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FinishHimFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FinishHimFrame3, 1, 2, 3, false, 0, 4)
end
-- FINISH HER FRAME
function Show_Finish_Her_Frame()
	UIFrameFlash(GoH_FinishHerFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FinishHerFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FinishHerFrame3, 1, 2, 3, false, 0, 4)
end
-- FINISH IT FRAME
function Show_Finish_It_Frame()
	UIFrameFlash(GoH_FinishItFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FinishItFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FinishItFrame3, 1, 2, 3, false, 0, 4)
end

-- UPDATE SCOREBOARD VALUES
function doScoreBoard()
		-- SET SCOREBOARD TEXT
		Settings_SCOREBOARD_ANIMALITY_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_Animality);
		Settings_SCOREBOARD_ANNIHILATED_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_Annihilated);
		Settings_SCOREBOARD_BABALITY_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_Babality);
		Settings_SCOREBOARD_BRUTALITY_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_Brutality);
		Settings_SCOREBOARD_EXCELLENT_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_Excellent);
		Settings_SCOREBOARD_FABULOUS_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_Fabulous);
		Settings_SCOREBOARD_FATALITY_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_Fatality);
		Settings_SCOREBOARD_FLAWLESS_VICTORY_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_FlawlessVictory);
		Settings_SCOREBOARD_IMPRESSIVE_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_Impressive);
		Settings_SCOREBOARD_OUTSTANDING_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_Outstanding);
		Settings_SCOREBOARD_SUPERB_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_Superb);
		Settings_SCOREBOARD_WELL_DONE_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_WellDone);
		Settings_SCOREBOARD_WONDERFUL_Text:SetText(GoHv5_DeathKnight_Data.config.ScoreBoard_Wonderful);

end


-- ANIMALITY FRAME
function Show_Animality_Frame()
	UIFrameFlash(GoH_AnimalityFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_AnimalityFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_AnimalityFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_Animality = (GoHv5_DeathKnight_Data.config.ScoreBoard_Animality + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- ANNIHILATED FRAME
function Show_Annihilated_Frame()
	UIFrameFlash(GoH_AnnihilatedFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_AnnihilatedFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_AnnihilatedFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_Annihilated = (GoHv5_DeathKnight_Data.config.ScoreBoard_Annihilated + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- BABALITY FRAME
function Show_Babality_Frame()
	UIFrameFlash(GoH_BabalityFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_BabalityFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_BabalityFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_Babality = (GoHv5_DeathKnight_Data.config.ScoreBoard_Babality + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- BRUTALITY FRAME
function Show_Brutality_Frame()
	UIFrameFlash(GoH_BrutalityFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_BrutalityFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_BrutalityFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_Brutality = (GoHv5_DeathKnight_Data.config.ScoreBoard_Brutality + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- EXCELLENT FRAME
function Show_Excellent_Frame()
	UIFrameFlash(GoH_ExcellentFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_ExcellentFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_ExcellentFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_Excellent = (GoHv5_DeathKnight_Data.config.ScoreBoard_Excellent + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- FABULOUS FRAME
function Show_Fabulous_Frame()
	UIFrameFlash(GoH_FabulousFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FabulousFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FabulousFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_Fabulous = (GoHv5_DeathKnight_Data.config.ScoreBoard_Fabulous + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- FATALITY FRAME
function Show_Fatality_Frame()
	UIFrameFlash(GoH_FatalityFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FatalityFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FatalityFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_Fatality = (GoHv5_DeathKnight_Data.config.ScoreBoard_Fatality + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- FLAWLESS VICTORY FRAME
function Show_FlawlessVictory_Frame()
	UIFrameFlash(GoH_FlawlessVictoryFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FlawlessVictoryFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_FlawlessVictoryFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_FlawlessVictory = (GoHv5_DeathKnight_Data.config.ScoreBoard_FlawlessVictory + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- IMPRESSIVE FRAME
function Show_Impressive_Frame()
	UIFrameFlash(GoH_ImpressiveFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_ImpressiveFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_ImpressiveFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_Impressive = (GoHv5_DeathKnight_Data.config.ScoreBoard_Impressive + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- OUTSTANDING FRAME
function Show_Outstanding_Frame()
	UIFrameFlash(GoH_OutstandingFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_OutstandingFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_OutstandingFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_Outstanding = (GoHv5_DeathKnight_Data.config.ScoreBoard_Outstanding + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- SUPERB FRAME
function Show_Superb_Frame()
	UIFrameFlash(GoH_SuperbFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_SuperbFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_SuperbFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_Superb = (GoHv5_DeathKnight_Data.config.ScoreBoard_Superb + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- WELL DONE FRAME
function Show_WellDone_Frame()
	UIFrameFlash(GoH_WellDoneFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_WellDoneFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_WellDoneFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_WellDone = (GoHv5_DeathKnight_Data.config.ScoreBoard_WellDone + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end

-- WONDERFUL FRAME
function Show_Wonderful_Frame()
	UIFrameFlash(GoH_WonderfulFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_WonderfulFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_WonderfulFrame3, 1, 2, 3, false, 0, 4)
	if GoHv5_DeathKnight_Data.config.Fatality_Example == "NO" then
		GoHv5_DeathKnight_Data.config.ScoreBoard_Wonderful = (GoHv5_DeathKnight_Data.config.ScoreBoard_Wonderful + 1);
	end
	GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
	doScoreBoard();
end


-- YOU LOSE FRAME
function Show_You_Lose_Frame()
	UIFrameFlash(GoH_YouLoseFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_YouLoseFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_YouLoseFrame3, 1, 2, 3, false, 0, 4)
end

-- YOU WIN FRAME
function Show_You_Win_Frame()
	UIFrameFlash(GoH_YouWinFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_YouWinFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_YouWinFrame3, 1, 2, 3, false, 0, 4)
end

-- CRITICAL HIT FRAME
function Show_Critical_Hit_Frame()
	UIFrameFlash(GoH_CriticalHitFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_CriticalHitFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_CriticalHitFrame3, 1, 2, 3, false, 0, 4)
end

-- KILLING BLOW FRAME
function Show_Killing_Blow_Frame()
	UIFrameFlash(GoH_KillingBlowFrame, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_KillingBlowFrame2, 1, 2, 3, false, 0, 4)
	UIFrameFlash(GoH_KillingBlowFrame3, 1, 2, 3, false, 0, 4)
end

-- INTERRUPTED FRAME
function Show_Interrupted_Frame()

	if GoHv5_DeathKnight_Data.config.Interrupt_Announcement_VISUAL == "YES" then
		UIFrameFlash(GoH_InterruptedFrame, 1, 2, 3, false, 0, 4)
		UIFrameFlash(GoH_InterruptedFrame2, 1, 2, 3, false, 0, 4)
		UIFrameFlash(GoH_InterruptedFrame3, 1, 2, 3, false, 0, 4)
	end
	Play_ONLY_Praises_NO_SCREENS();
end
